Bug 815396 - Subversion in runtime need sqlite which is not pulled from dependencies
Subversion in runtime need sqlite which is not pulled from dependencies
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: subversion (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-23 10:10 EDT by Pavel Alexeev
Modified: 2013-01-08 11:24 EST (History)
5 users (show)

See Also:
Fixed In Version: subversion-1.7.4-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-08 11:24:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2012-04-23 10:10:12 EDT
Description of problem:
yum update subversion --enablerepo=rawhide
...
$ svn up
svn: E200029: Couldn't perform atomic initialization
svn: E200030: SQLite compiled for 3.7.11, but running with 3.7.10

Version-Release number of selected component (if applicable):
# rpm -q subversion
subversion-1.7.4-4.fc18.x86_64

How reproducible:
Always
Comment 1 Panu Matilainen 2012-04-24 02:35:12 EDT
If subversion requires the exact version of sqlite it was compiled against, then subversion needs a stricter require than the automatic soname dependency that rpm generates. Sqlite can't help with that.
Comment 2 Joe Orton 2012-04-24 03:59:16 EDT
It's not obvious why subversion is enforcing the check this strictly, I've patched it out.
Comment 4 Joe Orton 2013-01-08 11:24:23 EST
This is fixed in current updates.

Note You need to log in before you can comment on or make changes to this bug.